[Yandex Cloud documentation](../../index.md) > [Yandex Cloud Notification Service](../index.md) > [API reference](index.md) > Endpoint > List

# ListEndpointsByPlatformApplication

Gets a list of [endpoints for mobile push notifications](../concepts/index.md#mobile-endpoints) or [in-browser push notifications](../concepts/browser.md).

## HTTP request {#request}

```http
POST https://notifications.yandexcloud.net/
```

### Query parameters {#parameters}

Parameter | Description
--- | ---
`Action` | **string**<br/>Required field.<br/>Operation type parameter.<br/>Value: `ListEndpointsByPlatformApplication`.
`PlatformApplicationArn` | **string**<br/>Required field.<br/>Mobile push notification channel ID.<br/>Example: `arn:aws:sns::aoegtvhtp8ob********:app/GCM/test-cns-9990`.
`NextToken` | **string**<br/>Token for viewing endpoint records after the first page.
`ResponseFormat` | **string**<br/>Response format.<br/>The possible values are:<ul><li>`XML` (default)</li><li>`JSON`.</li></ul>

## Response {#response}

### Successful response {#response-200}

If there are no errors, Cloud Notification Service returns the `200` HTTP code.

A successful response contains additional data in XML or JSON format depending on the specified `ResponseFormat` parameter.

Data schema:

{% list tabs %}

- XML

  ```xml
  <?xml version="1.0" encoding="UTF-8"?>
  <ListEndpointsByPlatformApplicationResponseXML>
	  <ResponseMetadata>
		  <RequestId>string</RequestId>
	  </ResponseMetadata>
	  <ListEndpointsByPlatformApplicationResult>
		  <Endpoints>
			  <member>
				  <EndpointArn>string</EndpointArn>
				  <Attributes>
					  <entry>
						  <key>string</key>
						  <value>string</value>
					  </entry>
				  </Attributes>
			  </member>
		  </Endpoints>
		  <NextToken>string</NextToken>
	  </ListEndpointsByPlatformApplicationResult>
  </ListEndpointsByPlatformApplicationResponseXML>
  ```

- JSON

  ```json
  {
    "ResponseMetadata": {
      "RequestId": "string"
    },
    "ListEndpointsByPlatformApplicationResult": {
      "Endpoints": [
        {
          "EndpointARN": "string",
          "Attributes": {
            "Attribute": "string"
          }
        }
      ],
      "NextToken": "string"
    }
  }
  ```

{% endlist %}

Where:
* `RequestId`: Request ID.
* `EndpointArn`: Mobile endpoint ID (ARN).
* `Attributes`: Mobile endpoint attributes. The following attributes are supported:
  * `CustomUserData`: Other user data stored together with the endpoint. Cloud Notification Service does not use this data in any way.
  * `Enabled`: Attribute for enabling and disabling endpoint notifications, currently not supported. It always returns `true`.

  {% note info %}

  For data protection purposes, you can not output the `Token` attribute.

  {% endnote %}
* `NextToken`: Token for viewing endpoint records on the next page. It returns when additional records are available. If all records have been viewed, `NextToken` is not returned.

### Error response {#response-4xx}

In case of an error, Cloud Notification Service returns a message with the appropriate HTTP code.

For a list of common error codes for all actions, see [Errors](common-errors.md).

## Useful links {#see-also}

* [Yandex Cloud Notification Service HTTP API overview](index.md)
* [Sending an HTTP API request to Yandex Cloud Notification Service](send-request.md)
* [ListEndpointsByPlatformApplication API action](https://docs.aws.amazon.com/sns/latest/api/API_ListEndpointsByPlatformApplication.html) in the AWS documentation.